textures/stargate/sg_logo_large
{
    qer_editorimage textures/stargate/sg_logo.tga
    surfaceparm alphashadow
    surfaceparm trans
    cull disable
    {
        map textures/stargate/sg_logo.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

textures/stargate/glass_office
{
    qer_editorimage textures/stargate/officewindow.tga
    surfaceparm alphashadow
    surfaceparm trans
    cull disable
    {
        map textures/stargate/officewindow.tga
        alphaFunc GE128
        depthWrite
        rgbGen vertex
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

textures/stargate/sg_logo_spin
{
    qer_editorimage textures/stargate/logo_spin1.tga
    surfaceparm nolightmap
    surfaceparm pointlight
    {
        map textures/detail/gleam2.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        animMap 4 textures/stargate/logo_spin1.tga textures/stargate/logo_spin2.tga textures/stargate/logo_spin3.tga textures/stargate/logo_spin4.tga textures/stargate/logo_spin5.tga 
        blendFunc GL_ONE GL_ONE
    }
}

textures/stargate/worldmap
{
    qer_editorimage textures/stargate/worldmap.tga
    surfaceparm nolightmap
    surfaceparm pointlight
    {
        map textures/detail/gleam2.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
    {
        map textures/stargate/worldmap.tga
        blendFunc GL_ONE GL_SRC_ALPHA
    }
    {
        animMap 0.5 textures/stargate/worldmap5.tga textures/stargate/worldmap4.tga textures/stargate/worldmap3.tga textures/stargate/worldmap2.tga textures/stargate/worldmap1.tga 
        blendFunc GL_ONE GL_ONE
    }
}

textures/stargate/fine_water
{
    qer_editorimage textures/stargate/water.tga
    qer_trans 0.8
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm water
    surfaceparm pointlight
    cull disable
    deformVertexes wave 128 sin 0 1.5 0 0.75
    tessSize 48
    {
        map textures/stargate/water.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll -0.05 0.05
    }
    {
        map textures/stargate/water.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll 0.05 -0.05
        tcMod turb 0 0.01 5 0.5
    }
}

textures/stargate/skybox
{
    qer_editorimage textures/stargate/sky
    q3map_surfacelight 100
    q3map_globaltexture
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm sky
    q3map_sun 1 1 1 300 330 50
    skyParms env/stargate/stargate 128 -
}

textures/stargate/camportal
{
    qer_editorimage textures/common/qer_portal.tga
    surfaceparm nolightmap
    portal
    {
        map textures/stasis/gas4.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        depthWrite
        rgbGen wave sin 0.001 0.001 0.001 0.001
        alphaGen portal 256
    }
}

textures/alphatextures/light_glass
{
    qer_editorimage textures/engineering/glass1.tga
    qer_trans 0.2
    surfaceparm trans
    tessSize 48
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}

